YepAPI
Backlinks

Domain Intersection

Find domains that link to multiple targets — discover link building opportunities.

POST/v1/seo/backlinks/domain-intersection
from $0.04/call

Usage

const res = await fetch('https://api.yepapi.com/v1/seo/backlinks/domain-intersection', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ targets: ['vercel.com', 'netlify.com'], excludeTargets: ['mysite.com'], limit: 50 }),
});
const { data } = await res.json();
console.log(data);
curl -X POST https://api.yepapi.com/v1/seo/backlinks/domain-intersection \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"targets": ["vercel.com", "netlify.com"], "excludeTargets": ["mysite.com"], "limit": 50}'

Request Body

ParameterTypeRequiredDescriptionDefault
targetsstring[]YesDomains to find common backlinks for
excludeTargetsstring[]NoDomains to exclude
limitnumberNoMaximum number of intersections to return100

Response

{
  "ok": true,
  "data": {
    "intersections": []
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.intersectionsarrayList of domains that link to multiple specified targets. Each entry represents a referring domain shared across the targets.
Under the Hood

Compares backlink profiles across multiple domains to find shared link sources.

On this page